[HELP] Accidental update to a Rxtool DS to 11.0.0-20U

Discussion in '3DS - Homebrew Development and Emulators' started by toonliger, Dec 19, 2016.

  1. toonliger
    OP

    toonliger Newbie

    Newcomer
    6
    0
    Dec 13, 2016
    Hello guys!

    Last January I modded my 3DS with RxTools and used this guide (http://pastebin.com/EBKipkPW) to have the console with an emunand to RX-E 11.1.0-34U. Time passed and I was not using the console, my girlfriend asked me for the console and by mistake updated the console to 11.0.0-20U and now I cannot access to the RxTools menu.

    While in the process I saved some backups as the guide mentioned, and I was wondering if it is still possible to restore those backups. What are the steps to do this?

    I hope that there is something to be done.
     
  2. KunoichiZ

    KunoichiZ GBAtemp Guru

    Member
    8,078
    3,263
    Mar 16, 2012
    United States
    11.0.0-20 is not a legitimate firmware. Did you mean 11.2.0-35? If you updated your sysNAND to 11.2, you kinda screwed yourself if you don't have another system with CFW or you don't have a hardmod.
     
  3. Luckkill4u

    Luckkill4u 4 guys in a car ( ͡° ͜ʖ ͡°)

    Member
    997
    527
    Jul 13, 2008
    Canada
    Insomnia
    Hard mod? Or DSiWare downgrade? Might as well do A9LH. RXtools is so outdated, nobody is going to help you with that shit.
     
  4. TheKingy34

    TheKingy34 A Pretty Shitty Ghost.

    Member
    795
    2,549
    Feb 21, 2016
    United Kingdom
    England I guess
    So, first, I've got some questions to ask:
    1. Was the sysNAND or emuNAND updated?
    2. Why didn't you use http://3ds.guide when it came out? It'll save you from all these problems.

    If sysNAND, your screwed, if you don't have a DSI title or another CFW 3DS. If you don't own any of these, get them or play the waiting game.
     
    Last edited by TheKingy34, Dec 19, 2016
  5. GalladeGuy

    GalladeGuy Freeze Kirby :3

    Member
    2,582
    2,641
    Oct 28, 2015
    United States
    Where did you even find that guide? What kind of guide from the past year would suggest installing RXtools emuNAND??? I know you can use Waithax to downgrade from 11.0, not entirely sure how, so I'd recommend just following 3ds.guide.
     
  6. TheKingy34

    TheKingy34 A Pretty Shitty Ghost.

    Member
    795
    2,549
    Feb 21, 2016
    United Kingdom
    England I guess
    Well, it was in January, and the guide did not exist and rxTools was one of your best options, so I guess they haven't kept up with the times.
     
  7. CreAtor135

    CreAtor135 GBATemp's #1 Nothing

    Member
    772
    499
    Jan 10, 2015
    United States
    Ikeb, Ukuro
    If he has -20U then he still has Spider browser. Dunno if that's worth much though.
     
  8. KunoichiZ

    KunoichiZ GBAtemp Guru

    Member
    8,078
    3,263
    Mar 16, 2012
    United States
    How did he go from RX-E 11.1.0-34 to 11.0.0-20 though? :/ Unless I'm getting myself confused.
     
  9. CreAtor135

    CreAtor135 GBATemp's #1 Nothing

    Member
    772
    499
    Jan 10, 2015
    United States
    Ikeb, Ukuro
    Isn't it his sysNAND that's the problem? I'm willing to guess he had 9.2 and partial upgraded somehow, giving him a Frankenfirm.
     
  10. toonliger
    OP

    toonliger Newbie

    Newcomer
    6
    0
    Dec 13, 2016
    Yes, I was not keeping up with all the updates of this (tbh, since rxtools was not that user friendly I decided to shelf the console)

    It seems that it was the sysNAND that was fully updated. Yes it was updated to 11.0.0-20u when Pokemon Sun/Moon was released and has not been updated since.

    I do have another DS from a friend, also with rxTools installed. I've been reading about switching it to Luma+A9LH but nowhere I can find a step by step guide on how to do it, all the tutorials are for virgin consoles and I don't want to erase any of the games or the data from my friend's DS.

    Anyone can help?
     
  11. KunoichiZ

    KunoichiZ GBAtemp Guru

    Member
    8,078
    3,263
    Mar 16, 2012
    United States
    Yes, but if he accidentally updated his sysNAND and nothing went wrong with the update, it should've fully updated to 11.2.0-35, not given him some weird frankenfirm.

    @toonliger http://3ds.guide is the only guide you should follow for Luma3DS+A9LH.
     
  12. toonliger
    OP

    toonliger Newbie

    Newcomer
    6
    0
    Dec 13, 2016
    Fair enough. Two questions then:
    1. If I update my friend's DS with luma+A9LH will he lose any information on the games he was playing on the emuNAND?
    2. All the files on the SD card from my updated console can be erased? I suppose there is no need of having files that wont work?
     
  13. CreAtor135

    CreAtor135 GBATemp's #1 Nothing

    Member
    772
    499
    Jan 10, 2015
    United States
    Ikeb, Ukuro
    Yeah that's why it's a bit weird.
     
  14. GerbilSoft

    GerbilSoft GBAtemp Addict

    Member
    2,081
    2,304
    Mar 8, 2012
    United States
    :11.0.0-20U is the result of an 11.0.0 cart update on 9.2.0-20U. It may be possible to use Slowhax if you have a vulnerable DSiWare title, but outside of that, you'd need a hardmod.
     
  15. KunoichiZ

    KunoichiZ GBAtemp Guru

    Member
    8,078
    3,263
    Mar 16, 2012
    United States
    It turns out he used Sun/Moon to update to 11.0.0-20 from 9.2.0-20, therefore the weird firmware version. Cart updates don't update the browser.
     
  16. squall14716

    squall14716 GBAtemp Maniac

    Member
    1,181
    676
    May 16, 2011
    United States
    -20 is the browser version. The browser doesn't get updated with cart updates. He needs a hardmod or a second hacked 3DS unless he happens to have one of the four DSiWare that can be exploited by a waithax-injected save sitting on his SysNAND.

    This is one reason people suggest A9LH, by the way.
     
    Last edited by squall14716, Dec 20, 2016
  17. CreAtor135

    CreAtor135 GBATemp's #1 Nothing

    Member
    772
    499
    Jan 10, 2015
    United States
    Ikeb, Ukuro
    Oh alright, I hadn't read that post. So yeah, he still has spider technically so maybe he'll be able to follow the guide without any precautions.
     
  18. squall14716

    squall14716 GBAtemp Maniac

    Member
    1,181
    676
    May 16, 2011
    United States
    Cart updates above 9.9 actually kill the browser, meaning browserhax is not an option. Either way, he either needs a second 3DS to transfer a DSiWarehax or a hardmod. With either of those, he can restore his NAND backup with 9.2 without a HBL entrypoint.